Bug 249158 - fetch failure for net/intel-em-kmod and net/intel-ix-kmod
Summary: fetch failure for net/intel-em-kmod and net/intel-ix-kmod
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-07 02:49 UTC by Mark Linimon
Modified: 2021-04-22 00:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2020-09-07 02:49:30 UTC
When fetching from the original distfile site (not the FreeBSD cache), fetching these distfiles now fails with a 403:

===> Fetching all distfiles required by intel-em-kmod-7.7.5 for building
=> SHA256 Checksum OK for em-7.7.5.tar.gz.
=> No SHA256 checksum recorded for ixl_pf_main.c?view=patch&r1=358698&r2=358697&pathrev=358698.
=> No suitable checksum found for ixl_pf_main.c?view=patch&r1=358698&r2=358697&pathrev=358698.
*** Error code 1

===> Fetching all distfiles required by intel-ix-kmod-3.3.14_1 for building
=> SHA256 Checksum OK for ix-3.3.14.tar.gz.
=> SHA256 Checksum OK for ix-3.3.10.tar.gz.
=> No SHA256 checksum recorded for ixl_pf_main.c?view=patch&r1=358698&r2=358697&pathrev=358698.
=> No suitable checksum found for ixl_pf_main.c?view=patch&r1=358698&r2=358697&pathrev=358698.
*** Error code 1
Comment 1 Eric Joyner freebsd_committer 2020-09-09 21:49:41 UTC
Shouldn't this have been fixed in r547259? That ixl_pf_main.c file should no longer be fetched in the slave ports after that commit. Is there something else that needs to be done?
Comment 2 Kevin Bowling freebsd_committer 2021-04-20 17:38:38 UTC
I did just see a fetch failure in intel-ix-kmod, the distcache happens to have it though:

> ix-3.3.14.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://downloadmirror.intel.com/14688/eng/ix-3.3.14.tar.gz
fetch: https://downloadmirror.intel.com/14688/eng/ix-3.3.14.tar.gz: Not Found
=> Attempting to fetch http://downloadmirror.intel.com/14688/eng/ix-3.3.14.tar.gz
fetch: http://downloadmirror.intel.com/14688/eng/ix-3.3.14.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/ix-3.3.14.tar.gz
ix-3.3.14.tar.gz
Comment 3 Eric Joyner freebsd_committer 2021-04-21 16:49:26 UTC
I think we could fix it and update it by committing this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254951
Comment 4 Kevin Bowling freebsd_committer 2021-04-22 00:38:43 UTC
intel-em-kmod looks good to me.  intel-ix-kmod updated in the PR above, which seems to download fine from intel and not the distcache now.